projects
/
ts7250-boot-build.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
| inline |
side by side
(parent:
180967c
)
bisect: rebuild all and do tests/bisect.expect
author
Nikita Shubin
<maquefel@gmail.com>
Sun, 28 Jul 2019 11:23:25 +0000
(14:23 +0300)
committer
Nikita Shubin
<maquefel@gmail.com>
Thu, 1 Aug 2019 12:53:54 +0000
(15:53 +0300)
bisect.sh
[new file with mode: 0755]
patch
|
blob
diff --git a/bisect.sh
b/bisect.sh
new file mode 100755
(executable)
index 0000000..
d93c6a9
--- /dev/null
+++ b/
bisect.sh
@@ -0,0
+1,10
@@
+#!/bin/sh
+
+# an exit code of 125 asks "git bisect"
+# to "skip" the current commit
+(cd .. && make clean) || exit 125
+(cd .. && make distclean) || exit 125
+(cd .. && make) || exit 125
+
+# run the application and check that it produces good output
+(cd .. && tests/bisect.expect)